//*******************************************************************
//*                                                                 *
//* Wir sind das "Express-Tools 2 German Project"                   *
//* Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
//* --------------------------------------------------------------- *
//* Die Beteiligten in alphabetischer Reihenfolge:                  *
//*                                                                 *
//* Vorname, Name         E-Mail-Adresse          Website           *
//* --------------------------------------------------------------- *
//* Holger Brischke       kontakt@defun.de        www.defun.de      *
//* Martin Drese          drese@defun.de          keine Website     *
//* Markus Hoffmann       hoffmann@defun.de       keine Website     *
//* Marc Scherer          marc.scherer@zvo.com    keine Website     *
//* Peter Tropf           info@petertropf.de      keine Website     *
//*                                                                 *
//* Special Guest (bersetzung der Hilfe-Texte)                     *
//* Walter Verburg        walterverburg@web.de    keine Website     *
//*                                                                 *
//*******************************************************************
//
//
//    CDORDER.DCL
//    Created by Randy Kintzley 6/24/98
//
//    Copyright  1999 by Autodesk, Inc.
//
//    Your use of this software is governed by the terms and conditions of the
//    License Agreement you accepted prior to installation of this software.
//    Please note that pursuant to the License Agreement for this software,
//    "[c]opying of this computer program or its documentation except as
//    permitted by this License is copyright infringement under the laws of
//    your country.  If you copy this computer program without permission of
//    Autodesk, you are violating the law."
//
//    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//    UNINTERRUPTED OR ERROR FREE.
//
//    Use, duplication, or disclosure by the U.S. Government is subject to
//    restrictions set forth in FAR 52.227-19 (Commercial Computer
//    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//    (Rights in Technical Data and Computer Software), as applicable.
//
//  ----------------------------------------------------------------

cdorder : dialog
{
 //***ET2GP-Anpassung*** -> Meldung bersetzt
 //label = "CDORDER - color draworder";
 label = "CDORDER - FARBSORT (Anzeigereihenfolge nach Farbe)";
 : boxed_row {
     : list_box {
       width=14;
       key="color_list";
     }
   : column {
     : image {
       // action alignment aspect_ratio color fixed_height fixed_width height
       // is_enabled is_tab_stop key label mnemonic value width
       key ="color_image";
       aspect_ratio = 1;
       height = 4;
       width = 7;
       color = -15;
     }
     : spacer {}
     : spacer {}
     : button {
        fixed_width=true;
        width=17;
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label= "Move &Up";
        label= "nach &Oben";
        key="up";
      }
     : button {
        fixed_width=true;
        width=17;
        key="down";
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label= "Move &Down";
        label= "nach &Unten";
      }
     : spacer {}
     : spacer {}
   } // column
   : column {
     : radio_column {
       //***ET2GP-Anpassung*** -> Meldung bersetzt
       //label="Re-ordering method";
       label="Neuordnung nach";
       : radio_button {
         //***ET2GP-Anpassung*** -> Meldung bersetzt
         //label ="Draworder";
         label ="Anzeigereihenfolge";
         key="draworder";
       }
       : radio_button {
         //***ET2GP-Anpassung*** -> Meldung bersetzt
         //label ="Handles";
         label ="ObjektIDs";
         key="handles";
       }
     }
     : spacer {}
     : radio_column {
       //***ET2GP-Anpassung*** -> Meldung bersetzt
       //label="Draworder location";
       label="Position fr die Anzeigereihenfolge";
       key="location";
       : radio_button {
         //***ET2GP-Anpassung*** -> Meldung bersetzt
         //label ="Front";
         label ="Vorn";
         key="front";
       }
       : radio_button {
         //***ET2GP-Anpassung*** -> Meldung bersetzt
         //label ="Back";
         label ="Hinten";
         key="back";
       }
     }
     : spacer {}
     : toggle {
       //***ET2GP-Anpassung*** -> Meldung bersetzt
       //label="Modify blocks";
       label="Blcke modifizieren";
       key="blocks";
     }
     : spacer {}
   } // column
 } // boxed_row
 : row
 {
     : spacer {}
     : button {
        fixed_width=true;
        width=11;
        key="accept";
        label= "OK";
      }
     : button {
        fixed_width=true;
        width=11;
        is_cancel=true;
        key="cancel";
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label= "Cancel";
        label= "Abbrechen";
      }
     : button {
        fixed_width=true;
        width=11;
        key="help";
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label= "&Help";
        label= "&Hilfe";
     }
     : spacer {}
 } // row
 : text_part
 {
   key="error";
   label="";
 }
}
