//*******************************************************************
//*                                                                 *
//* Wir sind das "Express-Tools 2 German Project"                   *
//* Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
//* --------------------------------------------------------------- *
//* Die Beteiligten in alphabetischer Reihenfolge:                  *
//*                                                                 *
//* Vorname, Name         E-Mail-Adresse          Website           *
//* --------------------------------------------------------------- *
//* Holger Brischke       kontakt@defun.de        www.defun.de      *
//* Martin Drese          drese@defun.de          keine Website     *
//* Markus Hoffmann       hoffmann@defun.de       keine Website     *
//* Marc Scherer          marc.scherer@zvo.com    keine Website     *
//* Peter Tropf           info@petertropf.de      keine Website     *
//*                                                                 *
//* Special Guest (bersetzung der Hilfe-Texte)                     *
//* Walter Verburg        walterverburg@web.de    keine Website     *
//*                                                                 *
//*******************************************************************
//
//
//    XLIST.DCL
//    Copyright  1999 by Autodesk, Inc.
//
//    Your use of this software is governed by the terms and conditions of the
//    License Agreement you accepted prior to installation of this software.
//    Please note that pursuant to the License Agreement for this software,
//    "[c]opying of this computer program or its documentation except as
//    permitted by this License is copyright infringement under the laws of
//    your country.  If you copy this computer program without permission of
//    Autodesk, you are violating the law."
//
//    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//    UNINTERRUPTED OR ERROR FREE.
//
//    Use, duplication, or disclosure by the U.S. Government is subject to
//    restrictions set forth in FAR 52.227-19 (Commercial Computer
//    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//    (Rights in Technical Data and Computer Software), as applicable.
//
//  ----------------------------------------------------------------

xlistblock : dialog {
//***ET2GP-Anpassung*** -> Meldung bersetzt
//label = "Xref/Block Nested Object List";
  label = "XRef/Block: Eigenschaften des verschachtelten Blocks";
  : row {
    spacer; spacer;
    : column {
      : text {
      //***ET2GP-Anpassung*** -> Meldung bersetzt
      //label = "Object:";
        label = "Objekt:";
        //width = 12;
        //fixed_width = true;
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Block Name:";
        label = "Blockname:";
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Layer:";
        label = "Layer:";
      }
      : text  {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Color:";
        label = "Farbe:";
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Linetype:";
        label = "Linientyp:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
        //width = 35;
        //fixed_width = true;
      }
      : text {
        key = "sBlockname";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}



xlisttext : dialog {
  //***ET2GP-Anpassung*** -> Meldung bersetzt
  //label = "Xref/Block Nested Object List";
  label = "XRef/Block: Eigenschaften des verschachtelten Texts";
  : row {
    spacer; spacer;
    : column {
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Object:";
        label = "Objekt:";
        //width = 12;
        //fixed_width = true;
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Style Name:";
        label = "Textstil:";
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Layer:";
        label = "Layer:";
      }
      : text  {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Color:";
        label = "Farbe:";
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Linetype:";
        label = "Linientyp:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
        //width = 35;
        //fixed_width = true;
      }
      : text {
        key = "sStyleName";
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}



xlist : dialog {
  //***ET2GP-Anpassung*** -> Meldung bersetzt
  //label = "Xref/Block Nested Object List";
  label = "XRef/Block: Eigenschaften des verschachtelten Objekts";
  : row {
    spacer; spacer;
    : column {
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Object:";
        label = "Objekt:";
        //width = 12;
        //fixed_width = true;
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Layer:";
        label = "Layer:";
      }
      : text  {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Color:";
        label = "Farbe:";
      }
      : text {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Linetype:";
        label = "Linientyp:";
      }
    }
    : column {
      : text {
        key = "sObjectType";
        //width = 35;
        //fixed_width = true;
      }
      : text {
        key = "sLayer";
        width = 31;
      }
      : text {
        key = "sColor";
      }
      : text {
        key = "sLineType";
      }
    }
  }
  ok_only;
}
