//*******************************************************************
//*                                                                 *
//* Wir sind das "Express-Tools 2 German Project"                   *
//* Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
//* --------------------------------------------------------------- *
//* Die Beteiligten in alphabetischer Reihenfolge:                  *
//*                                                                 *
//* Vorname, Name         E-Mail-Adresse          Website           *
//* --------------------------------------------------------------- *
//* Holger Brischke       kontakt@defun.de        www.defun.de      *
//* Martin Drese          drese@defun.de          keine Website     *
//* Markus Hoffmann       hoffmann@defun.de       keine Website     *
//* Marc Scherer          marc.scherer@zvo.com    keine Website     *
//* Peter Tropf           info@petertropf.de      keine Website     *
//*                                                                 *
//* Special Guest (bersetzung der Hilfe-Texte)                     *
//* Walter Verburg        walterverburg@web.de    keine Website     *
//*                                                                 *
//*******************************************************************
//
//
//    DDINS2.DCL
//    Copyright  1999 by Autodesk, Inc.
//
//    Your use of this software is governed by the terms and conditions of the
//    License Agreement you accepted prior to installation of this software.
//    Please note that pursuant to the License Agreement for this software,
//    "[c]opying of this computer program or its documentation except as
//    permitted by this License is copyright infringement under the laws of
//    your country.  If you copy this computer program without permission of
//    Autodesk, you are violating the law."
//
//    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//    UNINTERRUPTED OR ERROR FREE.
//
//    Use, duplication, or disclosure by the U.S. Government is subject to
//    restrictions set forth in FAR 52.227-19 (Commercial Computer
//    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//    (Rights in Technical Data and Computer Software), as applicable.
//
//  ----------------------------------------------------------------

ddins2 : dialog {
//***ET2GP-Anpassung*** -> Meldung bersetzt
//label = "SuperHatch - Insert";
  label = "SuperSchraffur - Block";
  : boxed_column {
    label = "Block";
    : row {
      : button {
        label = "Block...";
        key = "int_blocks";
        mnemonic = "B";
        width = 10;
        fixed_width = true;
      }
      : edit_box {
        label = "";
        key = "current_name";
        width = 36;
        edit_limit = 217;
      }
    }
    : row {
      : button {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "File...";
        label = "Datei...";
        key = "ext_blocks";
        mnemonic = "D";
        width = 11.7;
        fixed_width = true;
      }
      : edit_box {
        key = "path_name";
        width = 36;
      }
    }
  }
  : boxed_column {
    //***ET2GP-Anpassung*** -> Meldung bersetzt
    //label = "Options";
    label = "Optionen";
    : row {
      : toggle {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Specify Parameters on Screen";
        label = "Parameter am Bildschirm bestimmen";
        key = "on_screen";
        mnemonic = "P";
        fixed_width = true;
      }
    }
    : row {
      : boxed_column {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Insertion Point";
        label = "Einfgepunkt";
        : edit_box {
          label = "X:";
          mnemonic = "X";
          key = "x_pt";
          edit_width = 10;
        }
        : edit_box {
          label = "Y:";
          mnemonic = "Y";
          key = "y_pt";
          edit_width = 10;
        }
        : edit_box {
          label = "Z:";
          mnemonic = "Z";
          key = "z_pt";
          edit_width = 10;
        }
      }
      : boxed_column {
        //***ET2GP-Anpassung*** -> Meldung bersetzt
        //label = "Scale";
        label = "Skalierfaktor";
        : edit_box {
          label = "X:";
          mnemonic = "X";
          key = "x_scale";
          edit_width = 10;
        }
        : edit_box {
          label = "Y:";
          mnemonic = "Y";
          key = "y_scale";
          edit_width = 10;
        }
        : edit_box {
          label = "Z:";
          mnemonic = "Z";
          key = "z_scale";
          edit_width = 10;
        }
      }
      : column {
        : boxed_column {
          //***ET2GP-Anpassung*** -> Meldung bersetzt
          //label = "Rotation";
          label = "Drehung";
          fixed_height = true;
          : edit_box {
            //***ET2GP-Anpassung*** -> Meldung bersetzt
            //label = "Angle:";
            label = "Winkel:";
            key = "rotation";
            mnemonic = "W";
            edit_width = 6;
          }
        }
      }
    }
  }
  ok_cancel_help_errtile;
}


list_blocks : dialog {
  //***ET2GP-Anpassung*** -> Meldung bersetzt
  //label = "Defined Blocks";
  label = "Definierte Blcke";
  : edit_box {
    //***ET2GP-Anpassung*** -> Meldung bersetzt
    //label = "Pattern:";
    label = "Muster:";
    key = "pattern";
    mnemonic = "M";
    allow_accept=true;
    is_default=true;
  }
  : list_box {
    key = "bl_match";
    width = 32;
    allow_accept = true;
  }
  : edit_box {
    //***ET2GP-Anpassung*** -> Meldung bersetzt
    //label = "Selection:";
    label = "Auswahl:";
    key = "selection";
    mnemonic = "A";
    allow_accept=true;
    edit_limit = 217;
  }
  spacer;
  ok_cancel_err;
}

blk_exists : dialog {
  //***ET2GP-Anpassung*** -> Meldung bersetzt
  //label = "Warning";
  label = "Warnung";
  : paragraph {
    : text_part {
      //***ET2GP-Anpassung*** -> Meldung bersetzt
      //label = "A Block with this name already exists in the drawing.";
      label = "Gleichnamiger Block existiert bereits in der Zeichnung.";
    }
    : text_part {
      //***ET2GP-Anpassung*** -> Meldung bersetzt
      //label = "Do you want to redefine it?";
      label = "Mchten Sie ihn neu definieren?";
    }
  }
  spacer_1;
  : row {
    fixed_width = true;
    alignment = centered;
    : button {
      label = "OK";
      key = "redefine";
      width = 8;
    }
    : spacer {
      width = 2;
    }
    : default_button {
      //***ET2GP-Anpassung*** -> Meldung bersetzt
      //label = "Cancel";
      label = "Abbrechen";
      key = "no";
      width = 8;
    }
  }
}
